using System;

namespace Takmicenje__2022_12_17
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] temp = Console.ReadLine().Trim().Split(' ');
            ulong m = ulong.Parse(temp[0]);
            ulong n = ulong.Parse(temp[1]);
            Console.WriteLine(m + n - 2 + m*n/2);
        }
    }
}